@function fontSizes($key) {
    @if map-has-key($fontSizes, $key) {
      @return map-get($fontSizes, $key);
    }
  
    @warn "Unknown `#{$key}` in $fontSizes.";
    @return null;
}

p {
    color: $headerFontColor;
    font-size: fontSizes("normal-text");
    font-family: $primaryFontStack;
}
.landing-logo span {
    display: block;
}
body {
    background: $contentBackground;
    margin: 0;
}
// HEADER
header {
    text-align: left;
    width: 100%;
    position: relative;
    overflow: hidden;
    border-radius: 0 0 30% 0;

    .header-wrap {
        width: 100%;
        height: auto;
        padding: 50px;
        padding-top: 10px;
        background-color: #ffffff;
        background: $headerImage no-repeat center;
        background-size: 100%;

        .landing-logo img {
            //display: inline;
            float: left;
        }

        .header_heading {
            font-family: $headerFontStack;
            font-weight: 600;
            font-size: fontSizes("big-title");
        }

    }

}

// BUTTONS and LINKS
@mixin button-style {
    background-color: $footerLeftColor;
    border: none;
    border-radius: 3px;
    color: white;
    padding: 10px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: fontSizes("normal-text");
}
@mixin login-link-style {
    color: #ffffff;
    margin-left: 100px;
    font-family: $headerFontStack;
}
@mixin section-link-style {
    color: #ffffff;
    font-family: $headerFontStack;
}
.login {
    @include login-link-style();
}
.section_link {
    @include section-link-style();
}
button {
    @include button-style();
}

// MAIN
main {
    margin: 0 auto;
    width: 960px;
    position: relative;

    .section_text {
        text-align: center;
        font-size: fontSizes("middle-title");
        font-family: $headerFontStack;
    }
     .section_card_wrap {
        .section_card {
            display: flex;
            position: relative;
            border-radius: 4px;
            background-color: $cardColor;
            margin: 10px;
            padding: 10px;

            &_img {
                flex: 40%;
                height: 100%;
            }

            &_right_container {
                flex: 60%;
                text-align: center;
                padding: 10px 70px 10px 70px;

                .section_card_heading {
                    color: #ffffff;
                    font-size: fontSizes("small-title");
                    font-family: $headerFontStack;
                }

                .section_card_text {
                    font-size: fontSizes("normal-text");
                    text-align: justify;
                    color: #ffffff;
                }

            }

        }
    }
}

// BANNER
.section_banner {
    width: 1000px;
    height: auto;
    border-radius: 5px;
    padding: 10px;
    background: linear-gradient(90deg, $footerLeftColor 0%, $footerRightColor 100%);
    position: relative;
    //z-index: 2;
    -ms-transform: translateY(50%);
    transform: translateY(50%);

    &_text_wrap {
        padding-left: 10%;

        .section_banner_heading {
            font-size: 24px;
            font-weight: 300;
        }

        .section_banner_text {
            color: #dbdbdb;
            font-size: fontSizes("small-text");
        }
    }

    &_button {
        margin: 0;
        position: absolute;
        top: 50%;
        right: 10%;
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }

}

.highlight {
    background-color: $markerColor;
}

// FOOTER
.footer-wrap {
    background-color: $footerColor;
    padding-top: 70px;
    padding-left: 20px;
    padding-right: 20px;
    display: flex;
}
.footer_logo,
.footer_text,
.landing-logo {
    flex: 30%;
    color: #ffffff;
}
.footer-cr {
    @extend .footer_text;
    margin-top: 14px;
    text-align: right;
}
